openSUSE Security Update: Security update for fontforge
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2020:2111-1
Rating:             moderate
References:         #1160220 #1178308 
Cross-References:   CVE-2020-25690 CVE-2020-5395
Affected Products:
                    openSUSE Leap 15.1
______________________________________________________________________________

   An update that fixes two vulnerabilities is now available.

Description:

   This update for fontforge fixes the following issues:

   - fix for Use-after-free (heap) in the SFD_GetFontMetaData() function and
     the crash (bsc#1178308 CVE-2020-25690).

   This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.1:

      zypper in -t patch openSUSE-2020-2111=1



Package List:

   - openSUSE Leap 15.1 (i586 x86_64):

      fontforge-20170731-lp151.4.6.1
      fontforge-debuginfo-20170731-lp151.4.6.1
      fontforge-debugsource-20170731-lp151.4.6.1
      fontforge-devel-20170731-lp151.4.6.1

   - openSUSE Leap 15.1 (noarch):

      fontforge-doc-20170731-lp151.4.6.1


References:

   https://www.suse.com/security/cve/CVE-2020-25690.html
   https://www.suse.com/security/cve/CVE-2020-5395.html
   https://bugzilla.suse.com/1160220
   https://bugzilla.suse.com/1178308
_______________________________________________
openSUSE Security Announce mailing list -- [email protected]
To unsubscribe, email [email protected]
List Netiquette: https://en.opensuse.org/openSUSE:Mailing_list_netiquette
List Archives: https://lists.opensuse.org/archives/list/[email protected]